.menu-navigation {
    position: fixed;
    height: 100%;
    width: 100%;
    color: $white;
    background-color: $black-pearl;
    opacity: 0;
    transition: 0.5s all ease-in-out;

    &--show {
        opacity: 1;
        z-index: 11;
    }

    &__close {
        width: 2.5em;
        height: 2.5em;
        padding: 0.75em;
        position: absolute;
        right: 10%;
        top: 5%;
        border-radius: 100%;
        border: 1px solid $white;
        transition: ease 0.2s all;
        transform: translate3d(7px, 7px, 0);

        &::before {
            content: "";
            height: 1px;
            width: 25px;
            top: 50%;
            left: 0.45em;
            position: absolute;
            background-color: $white;
            transform: rotate(45deg);

            @media (min-width: $sm) {
                width: 30px;
                left: 0.515em;
            }
        }

        &::after {
            content: "";
            height: 1px;
            width: 25px;
            top: 50%;
            left: 0.45em;
            position: absolute;
            background-color: $white;
            transform: rotate(-45deg);

            @media (min-width: $sm) {
                width: 30px;
                left: 0.515em;
            }
        }

        @media (min-width: $sm) {
            width: 3em;
            height: 3em;
            right: 5%;
        }
    }

    .container {
        &__large {
            height: 100%;
            display: flex;
            align-items: center;

            .grid {
                margin: 0 5%;

                &__col-2 {
                    &:last-child {
                        display: flex;
                        justify-content: flex-end;
                        align-items: flex-end;

                        @media (max-width: $md) {
                            justify-content: flex-start;
                            align-items: flex-start;
                        }
                    }

                    @media (max-width: $md) {
                        width: 100%;
                    }
                }
            }
        }
    }

    .contact {
        margin-top: 1em;

        a {
            text-decoration: none;
            color: $white;
        }

        @media (min-width: $lg) {
            margin-top: 3em;
        }

        &__information {
            font-size: 1rem;
            line-height: 1.5rem;
            display: none;

            @media (min-width: $sm) {
                display: block;
                margin-top: 2em;
            }

            @media (min-width: $lg) {
                font-size: 1.1rem;
            }

            i {
                margin-right: 0.5em;
            }
        }

        &__social {
            display: flex;
            margin-top: 1em;

            @media (min-width: $lg) {
                margin-top: 2em;
            }

            a {
                margin-right: 0.5em;

                @media (min-width: $md) {
                    margin-right: 0;
                    margin-left: 0.5em;
                }
            }

            @media (min-width: $md) {
                justify-content: flex-end;
            }
        }

        @media (min-width: $lg) {
            margin-top: 0;
        }
    }

    .menu {
        margin: 0;
        padding: 0;
        list-style-type: none;
        position: relative;
        width: 500px;

        &__legend {
            color: $white;
            text-transform: uppercase;
            position: absolute;
            left: -0.5em;
            top: -2em;
            font-size: 0.8rem;
            display: none;

            @media (min-width: $sm) {
                display: block;
            }

            @media (min-width: $lg) {
                left: -3em;
                top: 0.5em;
                writing-mode: vertical-lr;
            }
        }

        &__item {
            padding: 1.5% 0;
            display: inline-block;
            font-size: 3rem;
            font-weight: bold;
            text-decoration: none;
            color: $white;

            &:before {
                content: attr(data-hover);
            }

            &:after {
                content: attr(data-hover);
                position: absolute;
                color: $egg-blue;
                left: 0;
                width: 0;
                transition: width 1s;
                overflow: hidden;
                white-space: nowrap;
            }

            &:hover:after {
                width: 100%;
            }

            @media (min-width: $sm) {
                padding: 2.5% 0;
                font-size: 3rem;
            }

            @media (min-width: $md) {
                font-size: 4rem;
            }

            @media (min-width: $lg) {
                font-size: 5rem;
            }
        }

        li {
            &:last-child {
                .menu {
                    &__item {
                        padding-bottom: 0;
                    }
                }
            }
        }
    }

    &__overlay {
        font-weight: 700;
        opacity: 0.025;
        outline: none;
        position: absolute;
        top: 0;
        left: -3%;
        height: 100%;
        overflow: hidden;
        text-align: center;
        font-size: 40vw;
        color: $white;
        writing-mode: vertical-lr;
        cursor: none;

        @media (min-width: $sm) {
            font-size: 30vw;
        }

        @media (min-width: $xl) {
            font-size: 22.5vw;
        }
    }
}
